%global momorel 2

Summary: memcached is a high-performance, distributed memory object caching system
name: memcached
Version: 1.2.4
Release: %{momorel}m%{?dist}
Group: System Environment/Daemons
License: BSD
Url: http://www.danga.com/memcached/

Source0: http://www.danga.com/memcached/dist/%{name}-%{version}.tar.gz
Source1: memcached.init
NoSource: 0

Patch1: memcached-1.1.12-install-dir.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: chkconfig
Requires: libevent >= 1.4.1
BuildPreReq: libevent-devel >= 1.4.1

%description
memcached is a high-performance, distributed memory object caching
system, generic in nature, but intended for use in speeding up dynamic
web applications by alleviating database load.


%prep
%setup -q
%patch1 -p1 

#autoconf
#automake-1.7 --add-missing

%build
%configure --enable-threads --program-prefix=''
%make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_prefix}

DESTDIR=%{buildroot} \
make install

# Perl script for monitoring memcached
install -Dp -m0755 scripts/memcached-tool %{buildroot}%{_sbindir}/memcached-tool

%{__install} -d %{buildroot}%{_sysconfdir}/init.d
%{__install} -m 755 %{SOURCE1} %{buildroot}%{_sysconfdir}/init.d/memcached


%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README NEWS TODO INSTALL ChangeLog COPYING AUTHORS doc/memory_management.txt doc/protocol.txt
%{_sbindir}/memcached
%{_sbindir}/memcached-debug
%{_sbindir}/memcached-tool
%{_mandir}/man1/memcached.1.bz2
%{_sysconfdir}/init.d/memcached

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.4-2m)
- rebuild against gcc43

* Sat Jan  4 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2.4-1m)
- update to 1.2.4
- rebuild against libevent-1.4.1-0.1.1m

* Sun Oct 14 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2.3-2m)
- rebuild against libevent-1.3e

* Fri Sep 21 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2.3-1m)
- update to 1.2.3
- rebuild against libevent-1.3d
- import memcached-1.2.3-save_pid_fix.patch from Fedora devel
- do not use %%NoSource macro

* Thu Aug 16 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2.2-1m)
- update to 1.2.2
- rebuild against libevent-1.3c

* Wed Jul 25 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.1-3m)
- Requires: chkconfig

* Sun Jun  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2.1-2m)
- rebuild against libevent-1.3b

* Wed Feb 21 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.2.1-1m)
- up to 1.2.1
- rebuild against libevent-1.3a

* Tue Feb 28 2006 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (1.1.12-2m)
- add init script

* Wed Feb 2 2006 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (1.1.12-1m)
- Initial version
- no start script yet
